# Import configuration

Import tenant configuration data with version and integrity validation.

Endpoint: POST /version/import/{tenantId}
Security: bearer

## Path parameters:

  - `tenantId` (string, required)
    Tenant ID specifying the environment into which the configuration is imported

## Query parameters:

  - `failureRollBack` (boolean)
    If true, the system will attempt to revert the target tenant to its state before the import when the import fails or only partially completes (e.g. one module import succeeds but another fails).

  - `format` (string, required)
    Expected format of the file to import

## Request fields (application/json):

  - `version` (string, required)
    Version tag of the exported configuration

  - `application` (object, required)
    Application export data

  - `application.path` (string, required)
    The path to the resource

  - `application.data` (object, required)
    The data of the resource

  - `application.category` (string, required)
    The category of the resource

  - `application.type` (string, required)
    The type of the resource

  - `external_connections_and_typed_lists` (array, required)
    External connections and typed lists referenced by the export. These references are not exported secrets and must resolve to existing resources in the target tenant

  - `keys_alias` (object, required)
    List of key aliases referenced by the export. These keys must already exist in the target tenant before import

  - `keys_alias.alias` (string, required)
    Alias of the referenced resource. Must match an existing resource alias in the target tenant

  - `keys_alias.version` (string, required)
    Version identifier of the referenced resource. Used to ensure compatibility during import

  - `credentials_alias` (object, required)
    List of credential aliases referenced by the export. These credentials must already exist in the target tenant before import

  - `certificates_alias` (object, required)
    List of certificate aliases referenced by the export. These certificates must already exist in the target tenant before import

  - `environment_variables_alias` (array, required)
    List of environment variable aliases referenced by the export. These environment variables must already exist in the target tenant before import

## Response 201 fields (application/json):

  - `status` (string, required)
    Response status indicator
    Enum: "success", "failure", "not applicable"

  - `message` (string, required)
    Import result message
    Enum: "Import completed successfully", "Force import completed successfully", "Import failed", "Force import failed", "Import failed; attempted to rollback from backup", "Rollback completed successfully", "Rollback from backup failed", "Import body is empty", "Import already in progress", "Not applicable"

  - `details` (object)
    Optional detailed error information

  - `rollbackResult` (object)
    Result of the restore-from-backup when import failed and rollback succeeded

  - `rollbackResult.status` (string, required)
    Rollback result status
    Enum: "success", "failure", "not applicable"

  - `rollbackResult.message` (string, required)
    Rollback result message
    Enum: "Import completed successfully", "Force import completed successfully", "Import failed", "Force import failed", "Import failed; attempted to rollback from backup", "Rollback completed successfully", "Rollback from backup failed", "Import body is empty", "Import already in progress", "Not applicable"

## Response 500 fields (application/json):

  - `status` (string, required)
    Response status indicator
    Enum: "success", "failure", "not applicable"

  - `message` (string, required)
    Import result message
    Enum: "Import completed successfully", "Force import completed successfully", "Import failed", "Force import failed", "Import failed; attempted to rollback from backup", "Rollback completed successfully", "Rollback from backup failed", "Import body is empty", "Import already in progress", "Not applicable"

  - `details` (object)
    Optional detailed error information

  - `rollbackResult` (object)
    Result of the restore-from-backup when import failed and rollback succeeded

  - `rollbackResult.status` (string, required)
    Rollback result status
    Enum: "success", "failure", "not applicable"

  - `rollbackResult.message` (string, required)
    Rollback result message
    Enum: "Import completed successfully", "Force import completed successfully", "Import failed", "Force import failed", "Import failed; attempted to rollback from backup", "Rollback completed successfully", "Rollback from backup failed", "Import body is empty", "Import already in progress", "Not applicable"

